Skip to content

upsertItemSerialSequence

WRITE

Upsert item serial sequence.

POST /api/v1/settings/upsertItemSerialSequence
curl -X POST '<your-host>/api/v1/settings/upsertItemSerialSequence' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string",
    "next": 0,
    "step": 0,
    "size": 0,
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min 0
min 1max 20
min 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string",
      "minLength": 1
    },
    "prefix": {
      "type": "string"
    },
    "suffix": {
      "type": "string"
    },
    "next": {
      "type": "number",
      "minimum": 0
    },
    "step": {
      "type": "number",
      "minimum": 1
    },
    "size": {
      "type": "number",
      "minimum": 1,
      "maximum": 20
    },
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "itemId",
    "next",
    "step",
    "size",
    "_operation"
  ]
}